Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Recursive_Type_TypeCode.h File Reference

`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Recursive_Type_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
## Classes
class | TAO::TypeCode::Recursive_Type< TypeCodeBase, TypeCodeType, MemberArrayType >
| Recursive type `TypeCode` decorator template. More...
class | TAO::TypeCode::Recursive_Type< TypeCodeBase, TypeCodeType, MemberArrayType >::Reset
| Reset flag to false in an exception-safe manner. More...

## Detailed Description

Id
  Recursive_Type_TypeCode.h,v 1.6 2005/05/13 07:14:36 ossama Exp

Header file for a recursive type (`struct`, `union` or `valuetype`) CORBA::TypeCode.

Author:
  Ossama Othman